use std::fs::File;
use std::io;
use std::io::Read;

fn read_user_from_file() -> Result<String, io::Error> {
    let f = File::open("foo.md");
    let mut f = match f {
        Ok(file) => file,
        Err(e) => return Err(e),
    };

    let mut s = String::new();
    match f.read_to_string(&mut s) {
        Ok(_) => Ok(s),
        Err(e) => Err(e),
    }
}

fn main() {
    let content = read_user_from_file();
    match content {
        Ok(c) => println!("{}", c),
        Err(e) => println!("err: {}", e),
    }
}
